package com.ruoyi.controller;


import com.ruoyi.bo.ReqBO;
import com.ruoyi.server.IReciveDataService;
import com.ruoyi.server.ReciveDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.text.DateFormat;
import java.time.LocalDateTime;
import java.util.UUID;

@RestController
@RequestMapping("api")
@Slf4j
public class ApiController {

    @Value("${interface.appid}")
    private String appid;


    @RequestMapping("req")
    public String req(@RequestBody ReqBO reqBO) {
        String queryId = UUID.randomUUID().toString();
        // 构建您的请求数据，例如 JSON 格式
        String inputData = "{\"APP_ID\":\"" + appid + "\",\"QUERY_ID\":\"" + queryId + "\",\"DATAS\":[{\"PERSON_CODE\":\""+reqBO.getCarNo()+"\",\"PERSON_NAME\":\""+reqBO.getName()+"\",\"SIGN_DATE\":\"" + reqBO.getReqTime() + "\"}]}";
        log.info("=====req: " + inputData);
        ReciveDataService service = new ReciveDataService();
        IReciveDataService port = service.getWSHttpBindingIReciveDataService();
        // 调用服务
        String result = port.recive(inputData);
        log.info("=====Result: " + result);
        return result;
    }

    @RequestMapping("do")
    public String doReq() {
        String date = LocalDateTime.now().toString();
        String queryId = UUID.randomUUID().toString();
        // 构建您的请求数据，例如 JSON 格式
        String inputData = "{\"APP_ID\":\"" + appid + "\",\"QUERY_ID\":\"" + queryId + "\",\"DATAS\":[{\"PERSON_CODE\":\"7081001\",\"PERSON_NAME\":\"测试\",\"SIGN_DATE\":\"" + date + "\"}]}";
        log.info("=====inputData: " + inputData);
        // 调用服务
        ReciveDataService service = new ReciveDataService();
        IReciveDataService port = service.getWSHttpBindingIReciveDataService();
        String result = port.recive(inputData);

        log.info("=====Result: " + result);
        return result;
    }



}
